Bug 806161 - gnome-shell crashes immediately after login name and password are entered
gnome-shell crashes immediately after login name and password are entered
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 00:39 EDT by Mark Harig
Modified: 2013-02-13 15:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/spool/abrt/.../var_log_messages (5.56 KB, text/plain)
2012-03-23 00:49 EDT, Mark Harig
no flags Details
/var/spool/abrt/.../dso_list (20.46 KB, application/octet-stream)
2012-03-23 00:50 EDT, Mark Harig
no flags Details
/var/spool/abrt/.../dso_list (20.46 KB, text/plain)
2012-03-23 00:52 EDT, Mark Harig
no flags Details
/var/spool/abrt/.../maps (78.62 KB, text/plain)
2012-03-23 00:55 EDT, Mark Harig
no flags Details
Output of the gdb command 'bt full' (9.92 KB, text/plain)
2012-04-01 01:31 EDT, Mark Harig
no flags Details
Output of the gdb cmd: thread apply all bt full (19.67 KB, text/plain)
2012-04-01 01:32 EDT, Mark Harig
no flags Details
Output of the gdb command 'bt full' (8.01 KB, text/plain)
2012-04-16 01:28 EDT, Mark Harig
no flags Details
Output of the gdb cmd: thread apply all bt full (17.50 KB, text/plain)
2012-04-16 01:31 EDT, Mark Harig
no flags Details

  None (edit)
Description Mark Harig 2012-03-23 00:39:07 EDT
Description of problem: Immediately after entering my login name and password, gnome-shell crashes, that is, a white screen is displayed and no futher input is possible.  While the abrt process is writing the data to files in /var/spool/abrt/, it is possible to interact with the operating system via a separate log in using ssh to get a text-mode prompt. I used that prompt to get the information in this report.


Version-Release number of selected component (if applicable):
$ rpm -q gnome-shell folks kernel
gnome-shell-3.2.2.1-1.fc16.x86_64
folks-0.6.6-1.fc16.x86_64
kernel-3.3.0-4.fc16.x86_64

How reproducible: Every time the operating system is restarted.


Steps to Reproduce:
1. Enter user name and password at the graphical-user-interface login prompt.
2. Press the Enter key.


Actual results:
After less than five seconds, the screen turns white.

Expected results:
The default Gnome shell screen.

Additional info:
This problem did NOT occur with Fedora 13, 14, or 15.

$ cd /var/spool/abrt/ccpp-2012-03-23-00:01:34-2258

$ cat abrt_version
2.0.7

$ cat analyzer
CCpp

$ cat architecture
x86_64

$ cat cmdline
/usr/bin/gnome-shell

$ cat component
gnome-shell

$ cat executable
/usr/bin/gnome-shell

$ cat kernel
3.3.0-4.fc16.x86_64

$ cat os_release
Fedora release 16 (Verne)

$ cat package
gnome-shell-3.2.2.1-1.fc16

$ cat reason
Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
Comment 1 Mark Harig 2012-03-23 00:44:12 EDT
Please let me know if there is additional information that I can provide.  I have captured the dso_list, environ, maps, and var_log_messages files, and will attach them if you think they will help.  The coredump file is over 1.3 gigabytes, so I have not attached it.

I have marked this defect report as 'urgent' because the Gnome shell is completely unusable, (and has been ever since I upgraded from Fedora 15 to Fedora 16 several months ago).
Comment 2 Mark Harig 2012-03-23 00:49:37 EDT
Created attachment 572146 [details]
/var/spool/abrt/.../var_log_messages
Comment 3 Mark Harig 2012-03-23 00:50:55 EDT
Created attachment 572147 [details]
/var/spool/abrt/.../dso_list
Comment 4 Mark Harig 2012-03-23 00:52:29 EDT
Created attachment 572148 [details]
/var/spool/abrt/.../dso_list
Comment 5 Mark Harig 2012-03-23 00:55:37 EDT
Created attachment 572149 [details]
/var/spool/abrt/.../maps
Comment 6 Mark Harig 2012-03-26 00:45:35 EDT
I edited the start-up file /etc/X11/xinit/Xsession to add the '-f' ("failsafe") switch to the lines that start 'gnome-session' (lines 60 and 61), and reboot the operating system. This change did not prevent /usr/bin/gnome-shell from being killed with signal 6 (SIGABRT) still.

The file /etc/X11/xinit/Xsession is included in the package 'xorg-x11-xinit':

$ rpm -q xorg-x11-xinit
xorg-x11-xinit-1.3.1-1.fc16.x86_64
Comment 7 Mark Harig 2012-03-26 00:47:22 EDT
To confirm that my graphics hardware is still working, I installed the Xfce group using yum groupinstall.  I am able to log in and log off using the Xfce window manager without problems.
Comment 8 Mark Harig 2012-04-01 01:31:50 EDT
Created attachment 574284 [details]
Output of the gdb command 'bt full'

gdb was started with the command: $ gdb gnome-shell coredump

coredump is the file generated in /var/spool/abrt/ccpp*/ after logging in to the gnome-shell for the first time.
Comment 9 Mark Harig 2012-04-01 01:32:49 EDT
Created attachment 574285 [details]
Output of the gdb cmd: thread apply all bt full
Comment 10 Mark Harig 2012-04-01 01:56:56 EDT
Please find the additional stack traces attached, and let me know if additional information is needed.
Comment 11 Mark Harig 2012-04-16 01:28:28 EDT
Created attachment 577626 [details]
Output of the gdb command 'bt full'

Another copy of the output of the gdb debugger after updating the kernel to the latest version and all other packages updated since the last version of this output.
Comment 12 Mark Harig 2012-04-16 01:29:58 EDT
Comment on attachment 574284 [details]
Output of the gdb command 'bt full'

Replaced by a later version.
Comment 13 Mark Harig 2012-04-16 01:31:48 EDT
Created attachment 577627 [details]
Output of the gdb cmd: thread apply all bt full

A new version of this file using updated output from the same gdb command.
Comment 14 Mark Harig 2012-04-16 01:32:55 EDT
Comment on attachment 574285 [details]
Output of the gdb cmd: thread apply all bt full

Replaced by a newer version of the same cmd's output.
Comment 15 Fedora End Of Life 2013-01-16 11:35:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-02-13 15:27:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.